MyGUI 3.2.2

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
MyGUI::MemberObsolete< ResourceManager > Class Template Reference

`#include <MyGUI_BackwardCompatibility.h>`

Inheritance diagram for MyGUI::MemberObsolete< ResourceManager >:
[legend]

## Public Member Functions
size_t | getResourceCount ()
IResourcePtr | getResource (const std::string &_name, bool _throw=true)

## Detailed Description

### template<>
class MyGUI::MemberObsolete< ResourceManager >

Definition at line 520 of file MyGUI_BackwardCompatibility.h.

## Member Function Documentation

IResourcePtr MyGUI::MemberObsolete< ResourceManager >::getResource | ( | const std::string & | _name,
|  | bool | _throw = `true`
| ) |  |

Deprecated:
  " is deprecated, use : IResourcePtr ResourceManager::getByName(const std::string& _name, bool _throw)"

Definition at line 988 of file MyGUI_BackwardCompatibility.cpp.

size_t MyGUI::MemberObsolete< ResourceManager >::getResourceCount | ( |  | ) |

Deprecated:
  " is deprecated, use : size_t ResourceManager::getCount()"

Definition at line 984 of file MyGUI_BackwardCompatibility.cpp.

The documentation for this class was generated from the following files:

- MyGUI_BackwardCompatibility.h
- MyGUI_BackwardCompatibility.cpp